Package org.jfree.layouting.util.geom

## Class StrictDimension

- java.lang.Object
- - org.jfree.layouting.util.geom.StrictDimension

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class StrictDimension
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A dimension object that uses micro-points as units of measurement.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StrictDimension​()` | Default-Constructor.
    `StrictDimension​(long width, long height)` | Creates a new dimension object with the given width and height.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` | Creates a copy of this object.
    `boolean` | `equals​(java.lang.Object o)` | Checks, whether the given object is a StrictDimension instance convering the same area as this dimension.
    `long` | `getHeight​()` | Returns the height of this dimension object.
    `StrictDimension` | `getLockedInstance​()` | Returns a copy of this dimension which cannot be modified anymore.
    `StrictDimension` | `getUnlockedInstance​()` | Returns a copy of this dimension which can be modified later.
    `long` | `getWidth​()` | Returns the width of this dimension object.
    `int` | `hashCode​()` | Computes the hashcode for this dimension.
    `boolean` | `isLocked​()` | Checks, whether this instance is locked.
    `void` | `setHeight​(long height)` | Updates the height of this dimension object.
    `void` | `setSize​(long width, long height)` | Sets the size of this `Dimension` object to the specified width and height.
    `void` | `setSize​(StrictDimension size)` |
    `void` | `setWidth​(long width)` | Updates the width of this dimension object.
    `java.lang.String` | `toString​()` | Returns a String representation of this dimension object.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StrictDimension

          public StrictDimension​()

      Default-Constructor.

    - #### StrictDimension

          public StrictDimension​(long width,
                                 long height)

      Creates a new dimension object with the given width and height. The object is not locked.
      Parameters:
        `width` - the width.
        `height` - the height.

  - ### Method Detail

    - #### isLocked

          public boolean isLocked​()

      Checks, whether this instance is locked.
      Returns:
        true, if the dimension object is locked, false otherwise.

    - #### getLockedInstance

          public StrictDimension getLockedInstance​()

      Returns a copy of this dimension which cannot be modified anymore.
      Returns:
        a locked copy.

    - #### getUnlockedInstance

          public StrictDimension getUnlockedInstance​()

      Returns a copy of this dimension which can be modified later.
      Returns:
        an unlocked copy.

    - #### setSize

          public void setSize​(long width,
                              long height)

      Sets the size of this `Dimension` object to the specified width and height.
      Parameters:
        `width` - the new width for the `Dimension` object
        `height` - the new height for the `Dimension` object
      Throws:
        `java.lang.IllegalStateException` - if the dimension object is locked

    - #### getHeight

          public long getHeight​()

      Returns the height of this dimension object.
      Returns:
        the height.

    - #### setHeight

          public void setHeight​(long height)

      Updates the height of this dimension object.
      Parameters:
        `height` - the new height, given in micro-points.

    - #### getWidth

          public long getWidth​()

      Returns the width of this dimension object.
      Returns:
        the width.

    - #### setWidth

          public void setWidth​(long width)

      Updates the width of this dimension object.
      Parameters:
        `width` - the new width, given in micro-points.

    - #### clone

          public java.lang.Object clone​()

      Creates a copy of this object. This method is guaranteed to never throw a CloneNotSupportedException.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        the cloned copy.

    - #### toString

          public java.lang.String toString​()

      Returns a String representation of this dimension object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string describing the object.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Checks, whether the given object is a StrictDimension instance convering the same area as this dimension.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the other object.
      Returns:
        true, if the other object is equal to this object, false otherwise.

    - #### hashCode

          public int hashCode​()

      Computes the hashcode for this dimension.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the computed hashcode.

    - #### setSize

          public void setSize​(StrictDimension size)